httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stas Bekman <s...@stason.org>
Subject Re: 1.2-rc2 seems to fail make test on Solaris
Date Wed, 18 Jun 2003 02:11:52 GMT
Randy Kobes wrote:
> On Wed, 18 Jun 2003, Stas Bekman wrote:
> 
> [ .. ]
> 
>>We should start using Module::Install which will take care of
>>this problem.  I'm afraid I won't have time to do it as I leave
>>on vacation tomorrow. So unless someone beats me to it, I'll do
>>it later on.
>>
>>The problem is that we need Apache::Test to be available before
>>MakeMaker::WriteMakefile is called, so PREREQ_PM => {} has no
>>effect.  Module::Install fetches the prerequisites before that.
> 
> 
> Although the current version seems OK, at least on Win32 I've
> had problems getting Module-Install and/or some of its
> dependencies to pass all their tests. Would Module-Install
> be considered a prerequisite?

To tell the through, I haven't tried it yet. But everybody who has used it, 
said that it just does the job perfectly. This module is only needed to be 
available for developers, it bundles prereqs, but hides them from PAUSE, etc. 
That's what I was told.

In any case we can release apreq-1.2, with hardcore requirement:

require Apache::Test;
$Apache::Test:VERSION > 1.02 or die "Apache::Test 1.03 or higher is required";

and then start working on 1.2_01 using Module::Install.

__________________________________________________________________
Stas Bekman            JAm_pH ------> Just Another mod_perl Hacker
http://stason.org/     mod_perl Guide ---> http://perl.apache.org
mailto:stas@stason.org http://use.perl.org http://apacheweek.com
http://modperlbook.org http://apache.org   http://ticketmaster.com


Mime
View raw message